#include "art.h"

void rtLight::setLocation(rtPoint p)
	{ pt = p; }

void rtLight::setColor(rtColor c)
	{ col = c; }

// void rtLight::setIntensity(float it)
// 	{ intensity = it; }

const rtPoint& rtLight::getLocation() const
	{ return pt;}
const rtColor& rtLight::getColor() const
	{ return col;}

void rtLight::setClamping(bool clamp, float minVal, float maxVal) {
  col.setClamping(clamp, minVal, maxVal);
}
bool rtLight::getClamping() const { return col.getClamping(); }
float rtLight::getMin() const { return col.getMin(); }
float rtLight::getMax() const { return col.getMax(); }
