#ifndef RTPOINT_H
#define RTPOINT_H

#include "rtBase.h"
#include <iostream>

class rtPoint : public rtBase {
 protected:
    float x;
    float y;
    float z;
 public:
 rtPoint(float xCo=0, float yCo=0, float zCo=0) : rtBase(),
      x(xCo),y(yCo),z(zCo)
	  {}

    void Set(const rtPoint&);
    void Set(float,float,float);
    float getX() const;
    float getY() const;
    float getZ() const;
    float getComponent(int) const;
    void setX(float);
    void setY(float);
    void setZ(float);
    float getDistance(const rtPoint&) const;
    float getRadius() const;
    void Rotate(float,float,float);
    bool operator < (const rtPoint& pt) const;
    virtual ostream& show(ostream& ) const;
};

istream& operator>>(istream&, rtPoint& );

#endif

