#ifndef SVCONFIG_H
#define SVCONFIG_H

#include "utilities/config.h"
#include <iostream>

class svConfig : public Config {
 protected:
  float conversionF, reflFactorWv, scale;

 public:
  svConfig(istream& s);

  // Extra parameters
  float conversion() const;
  float reflFactorW() const;
  float scaleFactor() const;

  virtual const char* error() const;

  virtual void show(ostream&) const;
};

#endif

