#ifndef DDEBUG
#define DDEBUG

#include <iostream>
#include "rtCommon/rtBase.h"
using namespace std;


class DDebug {
 private:
  bool debug;
  ostream& s;

 public:
  DDebug(bool a = false, ostream& s = cerr);

  // Let base types work
  DDebug& operator<< (unsigned int a);
  DDebug& operator<< (int a);
  DDebug& operator<< (unsigned long a);
  DDebug& operator<< (const char* a); 
  DDebug& operator<< (double a);
  // Let endl and other stream manipulators work
  DDebug& operator<< (ostream& (*a) (ostream&));

  // Let the rtCommon classes work
  DDebug& operator<< (const rtBase& ref);

  ostream& stream();
};


#endif // DDEBUG
